import { IAsyncHTMLDocument, IAsyncHTMLElement, IAsyncWindow } from './async-html';
import { DOMWindow } from 'jsdom';
export declare class JSDOMAsyncHTMLDocument implements IAsyncHTMLDocument {
    private _document;
    constructor(document: HTMLDocument);
    querySelectorAll(selector: string): Promise<Array<JSDOMAsyncHTMLElement>>;
    pageHTML(): Promise<string>;
}
export declare class JSDOMAsyncHTMLElement implements IAsyncHTMLElement {
    protected _htmlelement: HTMLElement;
    private _ownerDocument;
    constructor(htmlelement: HTMLElement);
    getAttribute(name: string): string;
    isSame(element: JSDOMAsyncHTMLElement): boolean;
    outerHTML(): Promise<string>;
    readonly attributes: NamedNodeMap;
    readonly nodeName: string;
    readonly ownerDocument: IAsyncHTMLDocument;
}
export declare class JSDOMAsyncWindow implements IAsyncWindow {
    private _window;
    private _document;
    constructor(window: DOMWindow);
    readonly document: IAsyncHTMLDocument;
    evaluate(source: string): Promise<any>;
}
